Agents

Set per-certificate auto-renew exclusion

PATCH
/organizations/{organizationId}/certificates/{certificateId}/auto-renew-exclusion

Path Parameters

organizationId*string
Formatuuid
certificateId*string

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certificates/string/auto-renew-exclusion" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "excludeFromAutoRenew": true  }'
Empty
{  "message": "string"}
{  "message": "string"}
{  "message": "string"}